package com.gic.haoban.manage.web.vo.clerktask;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable ;
import java.util.Date;

/**
 * 
 * @ClassName: TabClerkTaskContentLog
 * @Description: TODO
 * @Author 徐高华
 * @Date 2024年09月18日 14:14:28
 * @Modify
 * @CopyRight 杭州
 */
public class ClerkTaskContentPageVO implements Serializable{

	private static final long serialVersionUID = 625125414387600L;

	@JsonFormat(shape = JsonFormat.Shape.STRING)
	private Long contentLogId;
	/**计划ID*/
	@JsonFormat(shape = JsonFormat.Shape.STRING)
	private Long planId;
	/**创建时间*/
	private java.util.Date createTime;
	/**内容*/
	private String content;
	/**审核状态0待审核1未通过2已通过*/
	private int statusFlag;
	/**拒绝理由*/
	private String reason;

	public Long getContentLogId() {
		return contentLogId;
	}

	public void setContentLogId(Long contentLogId) {
		this.contentLogId = contentLogId;
	}

	public Long getPlanId() {
		return planId;
	}

	public void setPlanId(Long planId) {
		this.planId = planId;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public int getStatusFlag() {
		return statusFlag;
	}

	public void setStatusFlag(int statusFlag) {
		this.statusFlag = statusFlag;
	}

	public String getReason() {
		return reason;
	}

	public void setReason(String reason) {
		this.reason = reason;
	}
}